---
updatedAt: 2026-04-28T09:31:16.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# List Streams

List all Streams

Returns a list of all streams configured for the current instance. Streams define collections of documents (e.g. products) with optional boost factors, used for category boosting and product listings.

Requires authentication.

## Request

**`GET /stream`**

### Headers

| Header          | Value            |
| --------------- | ---------------- |
| `Authorization` | `Bearer <token>` |

## Response

Returns a JSON array of stream objects.

### Response Body

| Field         | Type    | Description                                                                                |
| ------------- | ------- | ------------------------------------------------------------------------------------------ |
| `id`          | integer | Unique stream ID.                                                                          |
| `title`       | string  | Display title of the stream.                                                               |
| `boostFactor` | number  | Boost factor applied to items in this stream. Range: `-99` to `99`. `0` means no boosting. |

### Example Response

```json
[
  {
    "id": 1,
    "title": "Featured Products",
    "boostFactor": 50
  },
  {
    "id": 2,
    "title": "Clearance Items",
    "boostFactor": -20
  }
]
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/stream": {
      "parameters": [
        {
          "$ref": "#/components/parameters/instance"
        }
      ],
      "get": {
        "summary": "List Streams",
        "description": "List all Streams",
        "tags": [
          "Stream"
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        },
        "operationId": "streamList"
      }
    }
  },
  "components": {
    "parameters": {
      "instance": {
        "in": "header",
        "name": "X-Makaira-Instance",
        "required": true,
        "description": "Makaira Instance ID",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```